User V4
List users
Retrieves a list of users from your company with optional filtering and pagination. Admin access required.
GET
/
v4
/
user
List users
curl --request GET \
--url https://api.example.com/v4/user \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/user"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": "<string>",
"isAdmin": true,
"isScimDisabled": true,
"familyName": "<string>",
"givenName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"title": "<string>",
"anonymousBooking": true,
"anonymousCalendarActivity": true,
"slug": "<string>",
"showGettingStartedList": true,
"recieveEmailMarketing": true,
"timezone": "<string>",
"personalPage": {
"useCustomColors": true,
"primaryColor": "<string>",
"secondaryColor": "<string>",
"description": "<string>",
"onlineProfiles": {
"linkedIn": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"xing": "<string>",
"phone": "<string>",
"email": "<string>",
"customLinks": [
{
"name": "<string>",
"url": "<string>",
"icon": "<string>"
}
],
"addressStreet": "<string>",
"addressCity": "<string>",
"addressPostalCode": "<string>",
"addressCountry": "<string>"
},
"headerImage": "<string>",
"meetingTypes": [
{
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"connectChannelName": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"bufferMustStayWithinWorkingHours": true,
"nameLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"descriptionLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"color": {}
},
"spots": 123,
"enabled": true,
"slug": "<string>",
"companyId": "<string>",
"locations": [
"<string>"
],
"isGlobalQueue": true,
"createdById": "<string>",
"createdAt": "<string>",
"formId": "<string>",
"communicationSettingsId": 123,
"availabilityId": "<string>",
"queueId": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"deletedAt": "<string>",
"resourceChannelIds": [
"<string>"
]
}
]
},
"fullName": "<string>",
"companyId": "<string>",
"email": "<string>",
"picture": "<string>",
"deletedAt": "<string>",
"referralId": "<string>",
"calendarSyncProviders": {
"id": "<string>"
},
"defaultAvailabilityId": "<string>",
"aircallUserId": "<string>",
"phone": "<string>",
"wherebyApiKey": "<string>",
"groupIds": [
"<string>"
],
"groupAdminIds": [
"<string>"
],
"meetingTypeIds": [
"<string>"
],
"meetingTypeTemplateIds": [
"<string>"
],
"appointmentIds": [
"<string>"
],
"workspaceIds": [
"<string>"
],
"reminderIds": [
"<string>"
],
"formIds": [
"<string>"
],
"dealIds": [
"<string>"
],
"queueIds": [
"<string>"
],
"queueUserGroupIds": [
"<string>"
],
"availabilityIds": [
"<string>"
],
"company": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"timezone": "<string>",
"language": "<string>",
"logo": "<string>",
"description": "<string>"
}
}
],
"total": 25,
"count": 10,
"offset": 0
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Query Parameters
Filter users by type. If not specified, returns all user types.
Available options:
standard, resource, api-platform, partner Maximum number of users to return
Required range:
1 <= x <= 100Example:
20
Number of users to skip for pagination
Required range:
x >= 0Example:
0
Response
200 - application/json
Users retrieved successfully
Array of users matching the query criteria
Show child attributes
Show child attributes
Total number of users matching the query criteria (before pagination)
Required range:
x >= 0Example:
25
Number of users returned in this response
Required range:
x >= 0Example:
10
Number of users skipped (pagination offset)
Required range:
x >= 0Example:
0
⌘I
List users
